using System;
using System.Collections;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms.Tools.XPMenus;

namespace ClosingFloatingWindow
{
    public partial class MdiForm : Form
    {
       public MdiForm()
       {
          InitializeComponent();
          mainFrameBarManager1.RegisterMdiChildTypes(new Type[] { typeof(SdiForm) });
          TabbedMDIManager mdiManager = new TabbedMDIManager();
          mdiManager.AttachToMdiContainer(this);
       }

       private void biViewNew_Click(object sender, EventArgs e)
       {
          SdiForm sf = new SdiForm();
          sf.MdiParent = this;
          sf.Show();
       }

       private static BarItem FindByText(IList items, string text)
       {
          foreach (BarItem b in items)
          {
             // ignore the "&" symbol
             if (b.Text.Replace("&", "") == text.Replace("&", "")) return b;
          }
          return null;
       }

       private void barItem2_Click(object sender, EventArgs e)
       {
          Bar mergedMainMenu = mainMenu.Manager.GetMergedEquivalent(mainMenu, mainMenu);
          ParentBarItem pbi = (ParentBarItem)FindByText(mergedMainMenu.Items, "View");
          BarItem item = new BarItem("foo");
          pbi.Manager.Items.Add(item);
          pbi.Items.Add(item);
       }
    }
}