using System;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;

namespace ClosingFloatingWindow
{
   public partial class SdiForm : Form
   {
      Panel Grid = new Panel();

      public SdiForm()
      {
         InitializeComponent();
      }

      protected override void OnActivated(EventArgs e)
      {
         base.OnActivated(e);
         dockingManager1.SetEnableDocking(Grid, true);
         dockingManager1.SetDockLabel(Grid, "Spreadsheet");
         dockingManager1.DockToFill = true;
         dockingManager1.DockControl(Grid, this, DockingStyle.Bottom, 100);
      }


      protected override void OnClosed(EventArgs e)
      {
         foreach (Control c in dockingManager1.ControlsArray)
         {
            c.Dispose();
         }

         base.OnClosed(e);
      }

      private void biViewAddViewer_Click(object sender, System.EventArgs e)
      {
         Panel p = new Panel();
         dockingManager1.SetEnableDocking(p, true);
      }
   }
}